
Summary: an x10 event scheduler
Name: x10es
Version: 1.0
Release: 2
Group: Applications/System
License: Perl "Artistic License"
Packager: John C. Peterson <jcp@eskimo.com>
Source0: x10es-%{version}.src.tar.gz
Buildarch: noarch
Buildroot: /tmp/%{name}-%{version}-build_root
Requires: perl >= 5.0

%description
The x10 event scheduler, or x10es for short, is a program designed
for Unix systems to facilitate the scheduling of x10 control command
(on/off) events. The program is not a daemon, it only runs once a day
(using "cron"). At runtime, x10es will parse your event definition
table, and schedule individual command events for the coming day (using
"at"). It's written in Perl, so you don't have to compile any binaries.

It can; schedule events relative to your local sunrise or sunset (why
turn on lights when it isn't dark out?), events that have execution times
with a random component, and events that themselves are random in nature
(for creating that "lived in" look). Because x10es runs only once a day
(and takes at most a few seconds) it can do all of these things robustly
and with minimal overhead. The individual x10 command events are scheduled
for execution using the "at" utility.

If you install this package, you will need to configure it with your
own events. They are defined in the event table (/etc/x10/x10tab).

%prep
# unpack sources
%setup

%build
# all too easy...

%install
# clean start
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
# create the install directories we will need
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily/
mkdir -p ${RPM_BUILD_ROOT}/etc/x10
# install the executable
chmod 755 x10es; cp -p x10es ${RPM_BUILD_ROOT}%{_bindir}
# install the cron.daily wrapper script
chmod 755 x10es.cron; cp -p x10es.cron ${RPM_BUILD_ROOT}/etc/cron.daily/
# install the table for driving the x10 event scheduler
chmod 640 x10tab.example; cp -p x10tab.example ${RPM_BUILD_ROOT}/etc/x10/x10tab

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc EVENTS INSTALL LICENSE README x10faq.txt
%{_bindir}/x10es
/etc/cron.daily/x10es.cron
%config /etc/x10/x10tab

%changelog
* Fri Apr 23 2003 John C. Peterson <jcp@eskimo.com>
- initial spec file

